const { run, getAll } = require("./base");

function addDownList(title,url,save,downDate,isOk){
    let sql = `insert into download(title,url,save,downDate,isOk) values(?,?,?,?,?)`
    run(sql,title,url,save,downDate,isOk)
}

async function getDownList(){
    let sql = `select * from download where isOk == 0`
    try{
        let list = await getAll(sql)
        return list
    }catch(err){
        console.error(err)
        return []
    }
}

async function setDownState(id,state){
    let sql = `update download set isOk = ? where id = ?`
    await run(sql,state,id)
}

module.exports = {
    addDownList,
    getDownList,
    setDownState
}